if (app.documents.length > 0 && app.activeDocument.selection.length > 0) {
  var sel = app.activeDocument.selection;

  for (var i = 0; i < sel.length; i++) {
    var item = sel[i];

    if (item.typename === "TextFrame" && item.kind === TextType.POINTTEXT) {
      var lines = item.contents.split("\r");

      var basePos = item.position;
      var posX = basePos[0];
      var posY = basePos[1];

      var fontSize = item.textRange.characterAttributes.size;
      var leading = item.textRange.leading;
      if (leading === 0) {
        leading = fontSize * 1.2;
      }

      var orientation = item.orientation;

      for (var j = 0; j < lines.length; j++) {
        var dup = item.duplicate();
        dup.orientation = orientation;

        if (orientation === TextOrientation.HORIZONTAL) {
          dup.position = [posX, posY - (leading * j)];
        } else {
          dup.position = [posX - (leading * j), posY];
        }

        dup.contents = lines[j];
      }

      item.remove();
    }
  }

  var msgDone = "行ごとに分割されました。";
  alert(msgDone);
} else {
  var msgSelect = "ポイントテキストを選択してください。";
  alert(msgSelect);
}
